package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class CopyExamDomain implements JsonSerializable {

	private static final long serialVersionUID = 8371681629986030229L;

	@NotNull(message = "srcExamId不能为空")
	private Long srcExamId;

	@NotBlank(message = "destExamCode不能为空")
	private String destExamCode;

	@NotBlank(message = "destExamName不能为空")
	private String destExamName;

	public Long getSrcExamId() {
		return srcExamId;
	}

	public void setSrcExamId(Long srcExamId) {
		this.srcExamId = srcExamId;
	}

	public String getDestExamCode() {
		return destExamCode;
	}

	public void setDestExamCode(String destExamCode) {
		this.destExamCode = destExamCode;
	}

	public String getDestExamName() {
		return destExamName;
	}

	public void setDestExamName(String destExamName) {
		this.destExamName = destExamName;
	}

}
