package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamSkipFaceEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Repository
public interface ExamSkipFaceRepo extends JpaRepository<ExamSkipFaceEntity, Long>, JpaSpecificationExecutor<ExamSkipFaceEntity> {

    List<ExamSkipFaceEntity> findByExamIdAndExamStudentIdIn(Long examId, List<Long> examStudentIds);

    @Transactional
    void deleteByExamIdAndExamStudentIdIn(Long examId, List<Long> examStudentIds);

    int countByExamIdAndExamStudentId(Long examId, Long examStudentId);

}
