package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamCourseRelationInfo implements JsonSerializable {

    private static final long serialVersionUID = 4009839764353162256L;

    private Long examId;

    private Long courseId;

    private String courseCode;

    private String courseName;

    private String courseLevel;

    private Boolean courseEnable;

    /**
     * 是否开放微信小程序作答
     */
    private Boolean weixinAnswerEnabled;

    /**
     * 分数及格线（整数百分比）
     */
    private Integer passScoreLine;

    /**
     * 分数优秀线（整数百分比）
     */
    private Integer goodScoreLine;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Boolean getCourseEnable() {
        return courseEnable;
    }

    public void setCourseEnable(Boolean courseEnable) {
        this.courseEnable = courseEnable;
    }

    public Boolean getWeixinAnswerEnabled() {
        return weixinAnswerEnabled;
    }

    public void setWeixinAnswerEnabled(Boolean weixinAnswerEnabled) {
        this.weixinAnswerEnabled = weixinAnswerEnabled;
    }

    public Integer getPassScoreLine() {
        return passScoreLine;
    }

    public void setPassScoreLine(Integer passScoreLine) {
        this.passScoreLine = passScoreLine;
    }

    public Integer getGoodScoreLine() {
        return goodScoreLine;
    }

    public void setGoodScoreLine(Integer goodScoreLine) {
        this.goodScoreLine = goodScoreLine;
    }

}
