package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class ExamCourseRelationQuery implements JsonSerializable {

    private static final long serialVersionUID = 4009839764353162256L;

    @ApiModelProperty("当前页数")
    private Integer pageNo;

    @ApiModelProperty("每页条数")
    private Integer pageSize;

    private Long examId;

    private String courseCode;

    private String courseName;

    /**
     * 是否开放微信小程序作答
     */
    private Boolean weixinAnswerEnabled;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Boolean getWeixinAnswerEnabled() {
        return weixinAnswerEnabled;
    }

    public void setWeixinAnswerEnabled(Boolean weixinAnswerEnabled) {
        this.weixinAnswerEnabled = weixinAnswerEnabled;
    }

}
