package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;
import java.util.Map;

/**
 * 考试特殊设置
 *
 * @author WANGWEI
 * @date 2018年5月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamSpecialSettingsInfo implements JsonSerializable {

    private static final long serialVersionUID = -3335725218626631530L;

    private Long id;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 机构ID
     */
    private Long orgId;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 考试批次开始时间
     */
    private Date beginTime;

    /**
     * 考试批次结束时间
     */
    private Date endTime;

    /**
     * 是否禁止考试
     */
    private Boolean examLimit;

    private Map<String, String> properties;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Boolean getExamLimit() {
        return examLimit;
    }

    public void setExamLimit(Boolean examLimit) {
        this.examLimit = examLimit;
    }

    public Map<String, String> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, String> properties) {
        this.properties = properties;
    }

}
