package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.enums.SubmitType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import javax.persistence.Column;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;

/**
 * @Description 场次设置
 * @Author lideyin
 * @Date 2020/7/22 17:21
 * @Version 1.0
 */
public class ExamStageSettingDomain implements JsonSerializable {

    private static final long serialVersionUID = 5181451704042537371L;
    private Long id;


    /**
     * 考试id
     */
    private Long examId;

    /**
     * 回收试卷类型
     */
    @Column(nullable = false, length = 50)
    @Enumerated(EnumType.STRING)
    private SubmitType submitType;

    /**
     * 统一收卷考试时长
     */
    private Integer submitDuration;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public SubmitType getSubmitType() {
        return submitType;
    }

    public void setSubmitType(SubmitType submitType) {
        this.submitType = submitType;
    }

    public Integer getSubmitDuration() {
        return submitDuration;
    }

    public void setSubmitDuration(Integer submitDuration) {
        this.submitDuration = submitDuration;
    }
}
