/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:03.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 公告查询类
 */
@ApiModel
public class NoticeDomainQuery implements JsonSerializable {

    private static final long serialVersionUID = -1962646957678995495L;
    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 是否已读(true,已读;false,未读)
     */
    @ApiModelProperty("是否已读")
    private Boolean read;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Boolean getRead() {
        return read;
    }

    public void setRead(Boolean read) {
        this.read = read;
    }
}