package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.OrgIpEntity;

public interface OrgIpRepo extends JpaRepository<OrgIpEntity, Long>,
			QueryByExampleExecutor<OrgIpEntity>, JpaSpecificationExecutor<OrgIpEntity> {

	OrgIpEntity findByRootOrgIdAndOrgIdAndIp(Long rootOrgId, Long orgId, String ip);

    @Modifying
    @Query(value = "delete from ec_e_org_ip  where id in ?1 and root_org_id = ?2 ",nativeQuery = true)
    int delete(List<Long> ids, Long rootOrgId);

	List<OrgIpEntity> findByRootOrgId(Long rootOrgId);
}
