package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import com.google.common.collect.Lists;

import cn.com.qmth.examcloud.web.jpa.UniqueRule;

/**
 * 状态码范围: 111XXX
 *
 * @author WANGWEI
 * @date 2019年3月8日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class UniqueRuleHolder {

	private static final List<UniqueRule> LIST = Lists.newArrayList();

	public static List<UniqueRule> getUniqueRuleList() {
		return LIST;
	}

	static {
		// ExamEntity
		LIST.add(new UniqueRule("IDX_E_E_001001", "111001", "考试名称已被占用"));
		LIST.add(new UniqueRule("IDX_E_E_001002", "111011", "考试编码已被占用"));
	}

}