package cn.com.qmth.examcloud.core.examwork.service;

import cn.com.qmth.examcloud.core.examwork.service.bean.ExamCourseRelationInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.ExamCourseRelationQuery;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ExamCourseService {

    Page<ExamCourseRelationInfo> getExamCourseRelationListByPage(ExamCourseRelationQuery req);

    List<ExamCourseRelationInfo> getExamCourseRelationList(Long examId, Boolean weixinAnswerEnabled);

    List<Long> getExamCourseIds(Long examId);

    void batchUpdateWeixinAnswerEnabled(Long examId, Long[] courseIds, boolean enabled);

    void updateWeixinAnswerEnabled(Long examId, String courseCode, boolean enabled);

    void settingScoreLine(Long examId, Long courseId, Integer passScoreLine, Integer goodScoreLine);

}
