package cn.com.qmth.examcloud.core.examwork.service;

import cn.com.qmth.examcloud.core.examwork.service.bean.ExamStudentInfo;

import java.util.List;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamStudentService {

    public ExamStudentInfo saveExamStudent(ExamStudentInfo examStudentInfo);

    public void deleteExamStudentsByExamId(Long examId);

    public void deleteExamStudentsByStudentIds(List<Long> studentIds);

    public void syncExamStudent(Long studentId);

    /**
     * 解绑考试下所有的场次信息
     *
     * @param examId
     */
    void unbindExamStudentExamStage(Long examId);

}
