package cn.com.qmth.examcloud.core.examwork.service;

import java.util.List;

import org.springframework.web.multipart.commons.CommonsMultipartFile;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.api.commons.security.bean.UserDataRule;
import cn.com.qmth.examcloud.core.examwork.service.bean.orgip.OrgIpInfo;
import cn.com.qmth.examcloud.core.examwork.service.bean.orgip.OrgIpQuery;
import cn.com.qmth.examcloud.core.examwork.service.bean.orgip.OrgIpSave;

public interface OrgIpService {

	PageInfo<OrgIpInfo> getPage(OrgIpQuery req);

	void add(OrgIpSave req);

	void update(OrgIpSave req);

	void delete(List<Long> ids, Long rootOrgId);

	List<String> importIp(User user, UserDataRule orgUd, CommonsMultipartFile file);

	List<OrgIpInfo> listForExport(OrgIpQuery req);

	void examAdd(Long rootOrgId, Long examId);

}
